Bug 445543 - firefox doesn't work with startup notification
firefox doesn't work with startup notification
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: Reopened, Triaged
: 443219 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-07 10:36 EDT by Jonathan Blandford
Modified: 2013-04-02 00:22 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:10:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
enable startup notification support (1.29 KB, patch)
2010-03-15 15:05 EDT, Colin Walters
no flags Details | Diff

  None (edit)
Description Jonathan Blandford 2008-05-07 10:36:41 EDT
firefox seems to not work with startup notification after the initial window. 
You get "Starting Firefox Web Browser" in the panel until it times out.

Some versions:
firefox-3.0-0.60.beta5.fc9.i386
startup-notification-0.9-4.fc9.i386
Comment 1 Colin Walters 2008-05-07 19:24:01 EDT
Offhand, this symptom might occur if startup notification was disabled in
Firefox but if the .desktop file still had StartupNotify=true
Comment 2 Colin Walters 2008-05-08 13:03:22 EDT
I think the cause is that xulrunner is missing ac_add_options
--enable-startup-notification in the config, as well as BuildRequires:
startup-notification-devel.

Testing a patch now.
Comment 3 Colin Walters 2008-05-08 18:10:04 EDT
Should be fixed by http://koji.fedoraproject.org/koji/buildinfo?buildID=48498

Will push in update for F-9.
Comment 4 Kevin Kofler 2008-05-08 21:09:22 EDT
*** Bug 443219 has been marked as a duplicate of this bug. ***
Comment 5 Michel Alexandre Salim 2008-06-04 23:04:44 EDT
Is this update going to be pushed? Firefox 3.0 rc2 is out, apparently fixing an
important fsync() bug, and I'm testing a build on my local machine right now.
Would be nice to know what's going on with xulrunner.
Comment 6 Michel Alexandre Salim 2008-06-04 23:26:25 EDT
Spoke out too soon: Firefox 3.0rc2 requires a matching Xulrunner. Where are the
1.9 source tarballs on the upstream server? Given the fsync() bug, perhaps
Fedora should release test binaries (they need not ever go stable, just
updates-testing is good enough) to make sure that 3.0 final is trouble-free.
Comment 7 Martin Stransky 2008-06-05 04:33:48 EDT
All mozilla sources are at http://ftp.mozilla.org/pub/mozilla.org/
Comment 8 Michel Alexandre Salim 2008-06-05 10:11:09 EDT
The Firefox sources are there; for xulrunner, only the binary builds.
Comment 9 Lukáš Tinkl 2009-01-27 13:10:53 EST
Reappeared in F10 after the recent updates
Comment 10 Rex Dieter 2009-01-27 13:20:24 EST
confirmed, 
firefox-3.0.5-1.fc10.x86_64
xulrunner-1.9.0.5-1.fc10.x86_64
Comment 11 Lukáš Tinkl 2009-03-09 13:00:27 EDT
Ping? It's been 2 months without a reply...
Comment 12 Ville Skyttä 2009-03-29 10:16:31 EDT
StartupWMClass in /usr/share/applications/mozilla-firefox.desktop does not match what xprop tells me on F-10 (KDE, x86_64), not sure if that has anything to do with this but I suppose it should be fixed anyway:

$ grep StartupWM /usr/share/applications/mozilla-firefox.desktop
StartupWMClass=Firefox-bin

$ xprop | grep WM_CLASS # then click an open Firefox window
WM_CLASS(STRING) = "Navigator", "Firefox"
Comment 13 Rex Dieter 2009-04-15 18:44:14 EDT
confirmed this to continue to be an issue with both firefox and thunderbird on f11 (maybe more to do with xulrunner?).
Comment 15 Martin Stransky 2009-08-06 09:04:12 EDT
It's going to be fixed in ff 3.6.
Comment 16 Bug Zapper 2009-11-18 07:29:30 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Rex Dieter 2009-12-01 07:49:11 EST
Rebasing to f12
Comment 18 Colin Walters 2010-03-15 15:05:08 EDT
Created attachment 400288 [details]
enable startup notification support
Comment 19 Colin Walters 2010-03-15 22:50:32 EDT
Committed to F-13 and devel/.
Comment 20 Niels Mayer 2010-05-23 15:13:51 EDT
This issue is also happening with google chrome. from #fedora-kde:

(11:55:25 AM) npm:  hi, i just switched to kde-desktop (nice) and the only annoyance i'm having is launching google chrome -- the launch notification bouncing continues well past launch of the browser, launching again causes the ball to start bouncing again; i've set chrome as the default browser; in chrome i click "make default" and it gets switched back/off within 1/2 second....  how do i disable that so that i can continue using kde (launching chrome worked fine in gnome, but it is so insistant on pulseaudio, which i have disabled/removed, thus i decided to give kde a try.... and stayed).
(11:56:52 AM) npm: (I'm using  2.6.32.12-115.fc12.x86_64 )
(12:02:36 PM) rdieter: npm: sounds like chrome is broken then wrt launch notification
(12:03:15 PM) rdieter: ironically firefox (in fedora) has been largely broken similarly for quite awhile (though i think it's finally fixed in ff36)
(12:04:41 PM) rdieter: npm: I just tested chromium from spot's repo, and the launch notification seems to work ok, so perhaps the build you're using is simply broken?
(12:05:10 PM) npm: i'm using google-chrome-beta-5.0.375.55-47796.x86_64
(12:05:40 PM) rdieter: chromium-6.0.399.0-1.fc12.x86_64 here
(12:06:32 PM) npm: the launch command is "/opt/google/chrome/google-chrome %U" -- suggest something better?
(12:08:07 PM) rdieter: npm: if it's .desktop file contains StartupNotify=true , you can try removing it or set to false, since your build's support for it seems broken
(12:08:11 PM) npm: same exact problem with firefox launches from the "internet" menu.
(12:08:21 PM) rdieter: npm: on f12 or f13 ?
(12:08:24 PM) npm: f12
(12:08:41 PM) rdieter: see my aforementioned comment about < ff36 being broken similarly
(12:08:56 PM) npm: kdebase-libs-4.4.2-1.fc12.x86_64
(12:09:22 PM) rdieter: .bug 445543
(12:09:23 PM) zodbot: rdieter: Bug 445543 firefox doesn't work with startup notification - https://bugzilla.redhat.com/show_bug.cgi?id=445543
(12:09:24 PM) rdieter: ^^
(12:09:29 PM) npm: but it's not broken in gnome for either. so it seems like a kde problem from this user perspective
(12:10:03 PM) rdieter: the ff bug is real, I assure you
(12:10:42 PM) rdieter: and my chromium build works, since I cannot reproduce it, it's hard to speculate, other than assume it's a chrome bug
(12:10:47 PM) npm: mind if i paste this convo into the bug...
Comment 21 Rex Dieter 2010-05-23 15:15:08 EDT
Fwiw, confirmed fixed using

$ rpm -q firefox xulrunner
firefox-3.6.3-4.fc13.x86_64
xulrunner-1.9.2.3-1.fc13.x86_64

not sure if there's any intention to fix this for f12 or not.
Comment 22 Bug Zapper 2010-11-04 07:55:21 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Bug Zapper 2010-12-05 02:10:53 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.